Bug 1225894 - dnf-2 migrate: Error: Group 'fedora-release-nonproduct' does not exist.
dnf-2 migrate: Error: Group 'fedora-release-nonproduct' does not exist.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-28 07:54 EDT by Samo Dadela
Modified: 2016-07-19 15:48 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:48:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samo Dadela 2015-05-28 07:54:21 EDT
Description of problem:
Running dnf-2 migrate, I get:
# htop-1.0.3-3.fc20.x86_64 found in DNFDB; skipping
# harfbuzz-icu-0.9.27-1.fc20.x86_64 found in DNFDB; skipping
# 4842 YUMDB records found, 0 migrated, 4842 skipped/preserved
# Migrating groups data...
# Yum command has been deprecated, use dnf instead.
# See 'man dnf' and 'man yum2dnf' for more information.
# 
# >>>>> Error: Group 'fedora-release-nonproduct' does not exist. <<<<<

Any hit on how to fix this would be appreciated?
This is FC22 after fedup from FC21.


# # yum remove fedora-release-nonproduct
# Yum command has been deprecated, redirecting to '/usr/bin/dnf remove fedora-# release-nonproduct'.
# See 'man dnf' and 'man yum2dnf' for more information.
# To transfer transaction metadata from yum to DNF, run:
# 'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

# Dependencies resolved.
# Error: The operation would result in removing the following protected packages: systemd, dnf.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kostya Vasilyev 2015-05-29 16:51:45 EDT
Same for me.

I run XFCE, originally installed in Fedora 20, I guess back then there were no product groups yet?

$ sudo dnf migrate
RPM Fusion for Fedora 22 - Nonfree - Test Updates                                        16 kB/s | 399  B     00:00    
RPM Fusion for Fedora 22 - Free - Test Updates                                           20 kB/s | 399  B     00:00    
Fedora 22 - x86_64 - Test Updates                                                       9.9 MB/s |  20 MB     00:02    
Fedora 22 - x86_64                                                                      9.2 MB/s |  41 MB     00:04    
RPM Fusion for Fedora 22 - Free - Updates                                                21 kB/s | 399  B     00:00    
RPM Fusion for Fedora 22 - Nonfree - Updates                                             15 kB/s | 399  B     00:00    
RPM Fusion for Fedora 22 - Free                                                         6.3 MB/s | 551 kB     00:00    
Fedora 22 - x86_64 - Updates                                                            6.7 MB/s | 3.6 MB     00:00    
Moka Project (Fedora_21)                                                                225 kB/s | 131 kB     00:00    
google-chrome                                                                            83 kB/s | 3.6 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree                                                      4.9 MB/s | 148 kB     00:00    
Last metadata expiration check performed 0:00:00 ago on Fri May 29 23:41:11 2015.
Migrating history data...
Migrating YUMDB data...
Loaded plugins: langpacks, remove-with-leaves

... a bunch of successfully migrated packages skipped ...

1871 YUMDB records found, 35 migrated, 1836 skipped/preserved
Migrating groups data...
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.

Error: Group 'fedora-release-nonproduct' does not exist.
Comment 2 Kostya Vasilyev 2015-07-03 06:42:18 EDT
Just got upgraded to these:

python-dnf-plugins-extras-common-0.0.9-1.fc22.noarch.rpm
python-dnf-plugins-extras-migrate-0.0.9-1.fc22.noarch.rpm

Issue still present.
Comment 3 Honza Silhan 2015-07-07 09:22:16 EDT
with this patch [1] it should skip not found groups, print warning and continue with converting.

[1] https://github.com/rpm-software-management/dnf-plugins-extras/pull/33
Comment 4 Mike McCune 2016-03-28 18:49:28 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora End Of Life 2016-07-19 15:48:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.